ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Attributes | List of all members
MapemCodec Class Reference

`#include <MapemCodec.hh>`

Inheritance diagram for MapemCodec:

## Public Member Functions
| MapemCodec ()
virtual | ~MapemCodec ()
virtual int | encode (const MAPEM__PDU__Descriptions::MAPEM &sapem, OCTETSTRING &data)
| Encode typed message into an octet string. More...
virtual int | decode (const OCTETSTRING &data, MAPEM__PDU__Descriptions::MAPEM &, Params *params=NULL)
| Encode typed message into an octet string format. More...
Public Member Functions inherited from Codec< MAPEM__PDU__Descriptions::MAPEM, MAPEM__PDU__Descriptions::MAPEM >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Private Attributes
MapemPDUCodec | asnCodec

## Additional Inherited Members
Protected Attributes inherited from Codec< MAPEM__PDU__Descriptions::MAPEM, MAPEM__PDU__Descriptions::MAPEM >
Params * | _params

## Constructor & Destructor Documentation

## ◆ MapemCodec()

MapemCodec::MapemCodec | ( |  | ) |
| inline explicit

## ◆ ~MapemCodec()

virtual MapemCodec::~MapemCodec | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ decode()

int MapemCodec::decode | ( | const OCTETSTRING & | p_,
|  | MAPEM__PDU__Descriptions::MAPEM & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |
| virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< MAPEM__PDU__Descriptions::MAPEM, MAPEM__PDU__Descriptions::MAPEM >.

## ◆ encode()

int MapemCodec::encode | ( | const MAPEM__PDU__Descriptions::MAPEM & | msg,
|  | OCTETSTRING & | data
| ) |  |
| virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< MAPEM__PDU__Descriptions::MAPEM, MAPEM__PDU__Descriptions::MAPEM >.

## Member Data Documentation

## ◆ asnCodec

MapemPDUCodec MapemCodec::asnCodec
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/MapemCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/MapemCodec.cc